Effect.BlindUp

This effect simulates a window blind, where the contents of the affected elements stay in place.

Availability

script.aculo.us V1.0 and later.

Syntax

Effect.BlindUp('id_of_element');

Options

Items in bold are default values.

· | scaleX:true, false

· | scaleY:true, false

· | scaleContent:true, false

· | scaleFromCenter:true, false

· | scaleMode:‘box’,’contents’

· | scaleFrom:100.0 (0%-100%)

· | scaleTo:0 (0%-100%)

· | duration:1 (0.0-1)

Examples

Make the transion longer by adding options.

Effect.BlindUp('id_of_element', {duration:3});

Notes

Works safely with most Block Elements, except table rows, table bodies and table heads.

This is the opposite of Effect.BlindDown